drivers/net/ethernet/atheros/alx: please add device ID for Killer E2400

Bug #1498633 reported by Jason Gerard DeRose on 2015-09-22
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
System76
Critical
Jason Gerard DeRose
linux (Ubuntu)
Undecided
Tim Gardner
Wily
Undecided
Tim Gardner
Xenial
Undecided
Tim Gardner

Bug Description

This small patch is needed to enable the Killer E2400 Ethernet controller.

This patch was originally authored by Ben Pope and has been submitted to <email address hidden>:

http://thread.gmane.org/gmane.linux.network/376851

However, that patch is currently held up by formatting issues in the commit message, hasn't yet been merged into the netdev branch upstream.

As we have an upcoming product that uses the E2400, it would hugely help System76 if Ubuntu could carry this as a "sauce" patch till it is merged upstream.

In particular, it would help System76 if this patch could be included in time to be on the final Ubuntu 15.10/Wily ISO, otherwise our customer restore procedure will require WiFi, wont be able to utilize Ethernet.

Note I've extensively tested this patch with an E2400 Ethernet controller and it seems 100% solid.

Thanks!

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-10-generic 4.2.0-10.12 [modified: boot/vmlinuz-4.2.0-10-generic]
ProcVersionSignature: Ubuntu 4.2.0-10.12-generic 4.2.0
Uname: Linux 4.2.0-10-generic x86_64
ApportVersion: 2.18.1-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jderose 1234 F.... pulseaudio
 /dev/snd/controlC1: jderose 1234 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue Sep 22 13:13:25 2015
HibernationDevice: RESUME=UUID=48e949d3-e2d8-4e07-8c68-c3b88b6bc08e
InstallationDate: Installed on 2015-09-22 (0 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150922)
MachineType: Notebook P7xxDM(-G)
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-10-generic root=UUID=9837c4d9-2a5d-4782-baf7-2b3e8f56dece ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-10-generic N/A
 linux-backports-modules-4.2.0-10-generic N/A
 linux-firmware 1.148
SourcePackage: linux
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/15/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.05.02
dmi.board.asset.tag: Tag 12345
dmi.board.name: P7xxDM(-G)
dmi.board.vendor: Notebook
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.05.02:bd09/15/2015:svnNotebook:pnP7xxDM(-G):pvrNotApplicable:rvnNotebook:rnP7xxDM(-G):rvrNotApplicable:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: P7xxDM(-G)
dmi.product.version: Not Applicable
dmi.sys.vendor: Notebook

Jason Gerard DeRose (jderose) wrote :
Changed in system76:
assignee: nobody → Jason Gerard DeRose (jderose)
status: New → Triaged
importance: Undecided → Critical
Tim Gardner (timg-tpi) on 2015-09-22
Changed in linux (Ubuntu Wily):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
tags: added: patch
Jason Gerard DeRose (jderose) wrote :

Thanks, Tim!

Ben Pope (benpope81) wrote :

Thanks to both of you, I'm an Ubuntu user so this means I don't have to maintain this patch locally.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-12.14

---------------
linux (4.2.0-12.14) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1499712

  [ Ben Pope ]

  * SAUCE: drivers/net/ethernet/atheros/alx: Add Killer E2400 device ID
    - LP: #1498633

  [ Knuth Posern ]

  * SAUCE: thunderbolt: Allow loading of module on recent Apple MacBooks
    with thunderbolt 2 controller
    - LP: #1497321

  [ Laurent Dufour ]

  * SAUCE: powerpc/hvsi: Fix endianness issues in the HVSI driver
    - LP: #1499357

  [ Upstream Kernel Changes ]

  * x86/hyperv: Mark the Hyper-V TSC as unstable
    - LP: #1498206
  * intel_pstate: fix PCT_TO_HWP macro
    - LP: #1499040
  * perf/x86/intel/rapl: Add support for Knights Landing (KNL)
    - LP: #1461370
  * drm/i915: Add audio pin sense / ELD callback
    - LP: #1398277
  * drm/i915: Call audio pin/ELD notify function
    - LP: #1398277
  * ALSA: hda - allow codecs to access the i915 pin/ELD callback
    - LP: #1398277
  * ALSA: hda - Wake the codec up on pin/ELD notify events
    - LP: #1398277
  * drm/i915: Add locks around audio component bind/unbind
    - LP: #1398277
  * drm/i915: Drop port_mst_index parameter from pin/eld callback
    - LP: #1398277

 -- Tim Gardner <email address hidden> Thu, 24 Sep 2015 09:19:23 -0600

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Changed in system76:
status: Triaged → Fix Released
Jason Gerard DeRose (jderose) wrote :

This change has now been accepted into davem's net tree, should hopefully make its way into Linux 4.4:

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=0208e951d55c435137543e12d7ee795c3784713a

Big thanks again to the Ubuntu kernel team for carrying this as a sauce patch in the mean time!

Jason Gerard DeRose (jderose) wrote :

This change is now in Linus's 4.4rc4 tree:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0208e951d55c435137543e12d7ee795c3784713a

Which means it will make it into Xenial, and could be cherry picked into the Xenial 4.3 branch in the mean time.

Tim Gardner (timg-tpi) on 2015-12-07
Changed in linux (Ubuntu Xenial):
status: Fix Released → Fix Committed
Jason Gerard DeRose (jderose) wrote :

Tim, thank you very much for cherry picking this into the 4.3 Xenial tree!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.3.0-5.16

---------------
linux (4.3.0-5.16) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1526986
  * [Config] Spell ignore.modules correctly
    Fixes FTBS

 -- Tim Gardner <email address hidden> Wed, 16 Dec 2015 15:52:52 -0700

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers